summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimon Dawson <spdawson@gmail.com>2013-05-26 23:16:55 (GMT)
committer Peter Korsgaard <jacmet@sunsite.dk>2013-05-30 19:40:03 (GMT)
commita94650c184f78620eb63d2d25065c4ea3ceec8d8 (patch)
tree5e6b6535fcef5f04834341cf465b9aa85296e8b4
parent37f6ecd4d02d1e0fdce70fe4a7b404a6e2d06426 (diff)
downloadbuildroot-a94650c184f78620eb63d2d25065c4ea3ceec8d8.tar.gz
buildroot-a94650c184f78620eb63d2d25065c4ea3ceec8d8.tar.bz2
neard: add init script
Signed-off-by: Simon Dawson <spdawson@gmail.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
-rwxr-xr-xpackage/neard/S53neard33
-rw-r--r--package/neard/neard.mk9
2 files changed, 42 insertions, 0 deletions
diff --git a/package/neard/S53neard b/package/neard/S53neard
new file mode 100755
index 0000000..0a75941
--- /dev/null
+++ b/package/neard/S53neard
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# Starts neard
+#
+
+NAME=neard
+DAEMON=/usr/libexec/nfc/$NAME
+
+# Exit gracefully if the package has been removed
+[ -x $DAEMON ] || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting $NAME: "
+ start-stop-daemon -S -q -p /var/run/${NAME}.pid -x $DAEMON -- -d '*'
+ echo "OK"
+ ;;
+ stop)
+ echo -n "Stopping $NAME: "
+ start-stop-daemon -K -q -p /var/run/${NAME}.pid
+ echo "OK"
+ ;;
+ restart|reload)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?
diff --git a/package/neard/neard.mk b/package/neard/neard.mk
index cc6aeac..57a434d 100644
--- a/package/neard/neard.mk
+++ b/package/neard/neard.mk
@@ -17,4 +17,13 @@ ifeq ($(BR2_PACKAGE_NEARD_TOOLS),y)
NEARD_CONF_OPT += --enable-tools
endif
+define NEARD_INSTALL_INIT_SYSV
+ $(INSTALL) -D -m 0755 package/neard/S53neard \
+ $(TARGET_DIR)/etc/init.d/S53neard
+endef
+
+define NEARD_UNINSTALL_INIT_SYSV
+ $(RM) $(TARGET_DIR)/etc/init.d/S53neard
+endef
+
$(eval $(autotools-package))